Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 1782)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! name change of netcdf routines and module + related changes
 ! 
 ! Former revisions:
@@ -141,5 +141,5 @@
                do2d_yz_last_time, do2d_yz_n, do2d_yz_time_count,               &
                ibc_uv_b, icloud_scheme, io_blocks, io_group,                   &
-               message_string, netcdf_data_format,                             &
+               message_string,                             &
                ntdim_2d_xy, ntdim_2d_xz, ntdim_2d_yz, psolver, section,        &
                simulated_time,  simulated_time_chr, time_since_reference_point
@@ -165,5 +165,12 @@
                shf_eb_av, t_soil, t_soil_av, zs
     
-    USE netcdf_control
+#if defined( __netcdf )
+    USE NETCDF
+#endif
+
+    USE netcdf_interface,                                                      &
+        ONLY:  id_set_xy, id_set_xz, id_set_yz, id_var_do2d, id_var_time_xy,   &
+               id_var_time_xz, id_var_time_yz, nc_stat, netcdf_data_format,    &
+               netcdf_handle_error
 
     USE particle_attributes,                                                   &
@@ -1322,5 +1329,5 @@
                                          start = (/ do2d_xy_time_count(av) /), &
                                                     count = (/ 1 /) )
-                            CALL handle_netcdf_error( 'data_output_2d', 53 )
+                            CALL netcdf_handle_error( 'data_output_2d', 53 )
 #endif
                          ENDIF
@@ -1443,5 +1450,5 @@
                                              count = (/ nx+2, ny+2, 1, 1 /) )
                             ENDIF
-                            CALL handle_netcdf_error( 'data_output_2d', 54 )
+                            CALL netcdf_handle_error( 'data_output_2d', 54 )
 #endif
 
@@ -1481,5 +1488,5 @@
                                            count = (/ nx+2, ny+2, 1, 1 /) )
                    ENDIF
-                   CALL handle_netcdf_error( 'data_output_2d', 447 )
+                   CALL netcdf_handle_error( 'data_output_2d', 447 )
 #endif
 #endif
@@ -1511,5 +1518,5 @@
                                          start = (/ do2d_xz_time_count(av) /), &
                                                     count = (/ 1 /) )
-                            CALL handle_netcdf_error( 'data_output_2d', 56 )
+                            CALL netcdf_handle_error( 'data_output_2d', 56 )
 #endif
                          ENDIF
@@ -1666,5 +1673,5 @@
                             start = (/ 1, is, 1, do2d_xz_time_count(av) /), &
                                              count = (/ nx+2, 1, nzt_do-nzb_do+1, 1 /) )
-                            CALL handle_netcdf_error( 'data_output_2d', 58 )
+                            CALL netcdf_handle_error( 'data_output_2d', 58 )
 #endif
 
@@ -1707,5 +1714,5 @@
                             start = (/ 1, is, 1, do2d_xz_time_count(av) /), &
                                            count = (/ nx+2, 1, nzt_do-nzb_do+1, 1 /) )
-                   CALL handle_netcdf_error( 'data_output_2d', 451 )
+                   CALL netcdf_handle_error( 'data_output_2d', 451 )
 #endif
 #endif
@@ -1730,5 +1737,5 @@
                                          start = (/ do2d_yz_time_count(av) /), &
                                                     count = (/ 1 /) )
-                            CALL handle_netcdf_error( 'data_output_2d', 59 )
+                            CALL netcdf_handle_error( 'data_output_2d', 59 )
 #endif
                          ENDIF
@@ -1885,5 +1892,5 @@
                             start = (/ is, 1, 1, do2d_yz_time_count(av) /), &
                                              count = (/ 1, ny+2, nzt_do-nzb_do+1, 1 /) )
-                            CALL handle_netcdf_error( 'data_output_2d', 61 )
+                            CALL netcdf_handle_error( 'data_output_2d', 61 )
 #endif
 
@@ -1926,5 +1933,5 @@
                             start = (/ is, 1, 1, do2d_xz_time_count(av) /), &
                                            count = (/ 1, ny+2, nzt_do-nzb_do+1, 1 /) )
-                   CALL handle_netcdf_error( 'data_output_2d', 452 )
+                   CALL netcdf_handle_error( 'data_output_2d', 452 )
 #endif
 #endif
@@ -1997,5 +2004,5 @@
                       ENDIF    
 
-                      CALL handle_netcdf_error( 'data_output_2d', 55 ) 
+                      CALL netcdf_handle_error( 'data_output_2d', 55 )
 
                    CASE ( 'xz' )
@@ -2047,5 +2054,5 @@
                       ENDIF
 
-                      CALL handle_netcdf_error( 'data_output_2d', 57 )
+                      CALL netcdf_handle_error( 'data_output_2d', 57 )
 
                    CASE ( 'yz' )
@@ -2097,5 +2104,5 @@
                       ENDIF
 
-                      CALL handle_netcdf_error( 'data_output_2d', 60 )
+                      CALL netcdf_handle_error( 'data_output_2d', 60 )
 
                    CASE DEFAULT
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 1782)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! name change of netcdf routines and module + related changes
 ! 
 ! Former revisions:
@@ -118,5 +118,5 @@
         ONLY:  avs_data_file, cloud_physics, do3d, do3d_avs_n,                 &
                do3d_no, do3d_time_count, io_blocks, io_group,                  &
-               message_string, netcdf_data_format, ntdim_3d,                   &
+               message_string, ntdim_3d,                                       &
                nz_do3d, plot_3d_precision, psolver, simulated_time,            &
                simulated_time_chr, skip_do_avs, time_since_reference_point
@@ -134,5 +134,11 @@
         ONLY: m_soil, m_soil_av, nzb_soil, nzt_soil, t_soil, t_soil_av
 
-    USE netcdf_control
+#if defined( __netcdf )
+    USE NETCDF
+#endif
+
+    USE netcdf_interface,                                                      &
+        ONLY:  id_set_3d, id_var_do3d, id_var_time_3d, nc_stat,                &
+               netcdf_data_format, netcdf_handle_error
         
     USE particle_attributes,                                                   &
@@ -228,5 +234,5 @@
                                start = (/ do3d_time_count(av) /),           &
                                count = (/ 1 /) )
-       CALL handle_netcdf_error( 'data_output_3d', 376 )
+       CALL netcdf_handle_error( 'data_output_3d', 376 )
     ENDIF
 #endif
@@ -688,5 +694,5 @@
                 count = (/ nxr-nxl+1, nyn-nys+1, nzt_do-nzb_do+1, 1 /) )
           ENDIF
-          CALL handle_netcdf_error( 'data_output_3d', 386 )
+          CALL netcdf_handle_error( 'data_output_3d', 386 )
 #endif
        ENDIF
@@ -697,5 +703,5 @@
                          start = (/ 1, 1, 1, do3d_time_count(av) /),     &
                          count = (/ nx+2, ny+2, nzt_do-nzb_do+1, 1 /) )
-       CALL handle_netcdf_error( 'data_output_3d', 446 )
+       CALL netcdf_handle_error( 'data_output_3d', 446 )
 #endif
 #endif
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 1782)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 1783)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! name change of netcdf routines and module + related changes,
+! switch back of netcdf data format moved from time integration routine to here
 ! 
 ! Former revisions:
@@ -96,13 +97,10 @@
     
     USE control_parameters,                                                    &
-        ONLY:  cloud_physics, domask, domask_no, domask_time_count,            &
-               mask_i, mask_j, mask_k, mask_size, mask_size_l,                 &
-               mask_start_l, max_masks, message_string, mid,                   &
-               netcdf_data_format, nz_do3d, simulated_time
+        ONLY:  cloud_physics, domask, domask_no, domask_time_count, mask_i,    &
+               mask_j, mask_k, mask_size, mask_size_l, mask_start_l,           &
+               max_masks, message_string, mid, nz_do3d, simulated_time
     USE cpulog,                                                                &
         ONLY:  cpu_log, log_point
 
-
-    
     USE indices,                                                               &
         ONLY:  nbgp, nxl, nxr, nyn, nys, nzb, nzt
@@ -110,7 +108,9 @@
     USE kinds
     
-    USE netcdf
-    
-    USE netcdf_control
+    USE NETCDF
+    
+    USE netcdf_interface,                                                      &
+        ONLY:  id_set_mask, id_var_domask, id_var_time_mask, nc_stat,          &
+               netcdf_data_format, netcdf_handle_error
     
     USE particle_attributes,                                                   &
@@ -136,4 +136,5 @@
     INTEGER(iwp) ::  k        !< 
     INTEGER(iwp) ::  n        !< 
+    INTEGER(iwp) ::  netcdf_data_format_save !<
     INTEGER(iwp) ::  psi      !< 
     INTEGER(iwp) ::  sender   !< 
@@ -158,4 +159,11 @@
 
     CALL cpu_log (log_point(49),'data_output_mask','start')
+
+!
+!-- Parallel netcdf output is not tested so far for masked data, hence
+!-- netcdf_data_format is switched back to non-paralell output.
+    netcdf_data_format_save = netcdf_data_format
+    IF ( netcdf_data_format == 5 ) netcdf_data_format = 3
+    IF ( netcdf_data_format == 6 ) netcdf_data_format = 4
 
 !
@@ -183,5 +191,5 @@
                                start = (/ domask_time_count(mid,av) /),       &
                                count = (/ 1 /) )
-       CALL handle_netcdf_error( 'data_output_mask', 460 )
+       CALL netcdf_handle_error( 'data_output_mask', 460 )
     ENDIF
 
@@ -564,5 +572,5 @@
                count = (/ mask_size_l(mid,1), mask_size_l(mid,2),  &
                           mask_size_l(mid,3), 1 /) )
-          CALL handle_netcdf_error( 'data_output_mask', 461 )
+          CALL netcdf_handle_error( 'data_output_mask', 461 )
        ELSE
 #endif
@@ -611,5 +619,5 @@
                   count = (/ mask_size(mid,1), mask_size(mid,2), &
                              mask_size(mid,3), 1 /) )
-             CALL handle_netcdf_error( 'data_output_mask', 462 )
+             CALL netcdf_handle_error( 'data_output_mask', 462 )
 
           ELSE
@@ -656,5 +664,5 @@
             count = (/ mask_size_l(mid,1), mask_size_l(mid,2), &
                        mask_size_l(mid,3), 1 /) )
-       CALL handle_netcdf_error( 'data_output_mask', 463 )
+       CALL netcdf_handle_error( 'data_output_mask', 463 )
 #endif
 
@@ -672,4 +680,7 @@
 #endif
 
+!
+!-- Switch back to original format given by user (see beginning of this routine)
+    netcdf_data_format = netcdf_data_format_save
 
     CALL cpu_log( log_point(49), 'data_output_mask', 'stop' )
Index: palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- palm/trunk/SOURCE/data_output_profiles.f90	(revision 1782)
+++ palm/trunk/SOURCE/data_output_profiles.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! name change of netcdf routines and module + related changes
 ! 
 ! Former revisions:
@@ -86,5 +86,11 @@
     USE kinds
 
-    USE netcdf_control
+#if defined( __netcdf )
+    USE NETCDF
+#endif
+
+    USE netcdf_interface,                                                      &
+        ONLY:  id_set_pr, id_var_dopr, id_var_norm_dopr, id_var_time_pr,       &
+               nc_stat, netcdf_handle_error, output_for_t0
 
     USE pegrid
@@ -155,5 +161,5 @@
                                         (/ -coupling_start_time /), &
                                         start = (/ 1 /), count = (/ 1 /) )
-                   CALL handle_netcdf_error( 'data_output_profiles', 329 )
+                   CALL netcdf_handle_error( 'data_output_profiles', 329 )
                    output_for_t0 = .TRUE.
                    EXIT
@@ -166,18 +172,18 @@
                                   (/ hom_sum(nzb,18,normalizing_region) /), &
                                      start = (/ 1 /), count = (/ 1 /) )
-             CALL handle_netcdf_error( 'data_output_profiles', 330 )
+             CALL netcdf_handle_error( 'data_output_profiles', 330 )
 
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(2), & ! ws2
                         (/ hom_sum(nzb+8,pr_palm,normalizing_region)**2 /), &
                                      start = (/ 1 /), count = (/ 1 /) )
-             CALL handle_netcdf_error( 'data_output_profiles', 331 )
+             CALL netcdf_handle_error( 'data_output_profiles', 331 )
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(3), & ! tsw2
                         (/ hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
                                   start = (/ 1 /), count = (/ 1 /) )
-             CALL handle_netcdf_error( 'data_output_profiles', 332 )
+             CALL netcdf_handle_error( 'data_output_profiles', 332 )
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(4), & ! ws3
                         (/ hom_sum(nzb+8,pr_palm,normalizing_region)**3 /), &
                                      start = (/ 1 /), count = (/ 1 /) )
-             CALL handle_netcdf_error( 'data_output_profiles', 333 )
+             CALL netcdf_handle_error( 'data_output_profiles', 333 )
 
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(5), &!ws2tsw
@@ -185,5 +191,5 @@
                            hom_sum(nzb+3,pr_palm,normalizing_region)    /), &
                                      start = (/ 1 /), count = (/ 1 /) )
-             CALL handle_netcdf_error( 'data_output_profiles', 334 )
+             CALL netcdf_handle_error( 'data_output_profiles', 334 )
 
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(6), &!wstsw2
@@ -191,10 +197,10 @@
                            hom_sum(nzb+3,pr_palm,normalizing_region)**2 /), &
                                      start = (/ 1 /), count = (/ 1 /) )
-             CALL handle_netcdf_error( 'data_output_profiles', 335 )
+             CALL netcdf_handle_error( 'data_output_profiles', 335 )
 
              nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(7), & ! z_i
                            (/ hom_sum(nzb+6,pr_palm,normalizing_region) /), &
                                      start = (/ 1 /), count = (/ 1 /) )
-             CALL handle_netcdf_error( 'data_output_profiles', 336 )
+             CALL netcdf_handle_error( 'data_output_profiles', 336 )
              
 #endif
@@ -216,5 +222,5 @@
                                               start = (/ 1, 1 /),              &
                                               count = (/ nzt-nzb+2, 1 /) )
-                      CALL handle_netcdf_error( 'data_output_profiles', 337 )
+                      CALL netcdf_handle_error( 'data_output_profiles', 337 )
 #endif
 
@@ -240,5 +246,5 @@
                                start = (/ dopr_time_count /),    &
                                count = (/ 1 /) )
-       CALL handle_netcdf_error( 'data_output_profiles', 338 )
+       CALL netcdf_handle_error( 'data_output_profiles', 338 )
 
 !
@@ -248,5 +254,5 @@
                                start = (/ dopr_time_count /),               &
                                count = (/ 1 /) )
-       CALL handle_netcdf_error( 'data_output_profiles', 339 )
+       CALL netcdf_handle_error( 'data_output_profiles', 339 )
 
        nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(2), &  ! ws2
@@ -254,5 +260,5 @@
                                start = (/ dopr_time_count /),               &
                                count = (/ 1 /) )
-       CALL handle_netcdf_error( 'data_output_profiles', 340 )
+       CALL netcdf_handle_error( 'data_output_profiles', 340 )
 
        nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(3), &  ! tsw2
@@ -260,5 +266,5 @@
                                start = (/ dopr_time_count /),               &
                                count = (/ 1 /) )
-       CALL handle_netcdf_error( 'data_output_profiles', 341 )
+       CALL netcdf_handle_error( 'data_output_profiles', 341 )
 
        nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(4), &  ! ws3
@@ -266,5 +272,5 @@
                                start = (/ dopr_time_count /),               &
                                count = (/ 1 /) )
-       CALL handle_netcdf_error( 'data_output_profiles', 342 )
+       CALL netcdf_handle_error( 'data_output_profiles', 342 )
 
        nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(5), &  ! ws2tsw
@@ -273,5 +279,5 @@
                                start = (/ dopr_time_count /),               &
                                count = (/ 1 /) )
-       CALL handle_netcdf_error( 'data_output_profiles', 343 )
+       CALL netcdf_handle_error( 'data_output_profiles', 343 )
 
        nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(6), &  ! wstsw2
@@ -280,5 +286,5 @@
                                start = (/ dopr_time_count /),               &
                                count = (/ 1 /) )
-       CALL handle_netcdf_error( 'data_output_profiles', 344 )
+       CALL netcdf_handle_error( 'data_output_profiles', 344 )
 
        nc_stat = NF90_PUT_VAR( id_set_pr, id_var_norm_dopr(7), &  ! z_i
@@ -286,5 +292,5 @@
                                start = (/ dopr_time_count /),               &
                                count = (/ 1 /) )
-       CALL handle_netcdf_error( 'data_output_profiles', 345 )
+       CALL netcdf_handle_error( 'data_output_profiles', 345 )
 #endif
 
@@ -304,5 +310,5 @@
                                      start = (/ 1, dopr_time_count /),      &
                                      count = (/ nzt-nzb+2, 1 /) )
-             CALL handle_netcdf_error( 'data_output_profiles', 346 )
+             CALL netcdf_handle_error( 'data_output_profiles', 346 )
 #endif
 
Index: palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1782)
+++ palm/trunk/SOURCE/data_output_ptseries.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! netcdf module name changed + related changes
 ! 
 ! Former revisions:
@@ -81,5 +81,11 @@
     USE kinds
 
-    USE netcdf_control
+#if defined( __netcdf )
+    USE NETCDF
+#endif
+
+    USE netcdf_interface,                                                      &
+        ONLY:  dopts_num, id_set_pts, id_var_dopts, id_var_time_pts, nc_stat,  &
+               netcdf_handle_error
 
     USE particle_attributes,                                                   &
@@ -116,5 +122,5 @@
                                (/ time_since_reference_point /), &
                                start = (/ dopts_time_count /), count = (/ 1 /) )
-       CALL handle_netcdf_error( 'data_output_ptseries', 391 )
+       CALL netcdf_handle_error( 'data_output_ptseries', 391 )
 #endif
 
@@ -375,5 +381,5 @@
                                      start = (/ dopts_time_count /), &
                                      count = (/ 1 /) )
-             CALL handle_netcdf_error( 'data_output_ptseries', 392 )
+             CALL netcdf_handle_error( 'data_output_ptseries', 392 )
           ENDDO
        ENDDO
Index: palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- palm/trunk/SOURCE/data_output_spectra.f90	(revision 1782)
+++ palm/trunk/SOURCE/data_output_spectra.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! name change of netcdf routines and module + related changes
 ! 
 ! Former revisions:
@@ -69,4 +69,5 @@
  SUBROUTINE data_output_spectra
  
+#if defined( __netcdf )
 #if defined( __spectra )
 
@@ -81,5 +82,8 @@
     USE kinds
 
-    USE netcdf_control
+    USE NETCDF
+
+    USE netcdf_interface,                                                      &
+        ONLY:  id_set_sp, id_var_time_sp, nc_stat, netcdf_handle_error
 
     USE pegrid
@@ -116,5 +120,4 @@
        dosp_time_count = dosp_time_count + 1
 
-#if defined( __netcdf )
 !
 !--    Update the spectra time axis
@@ -122,6 +125,5 @@
                                (/ time_since_reference_point /), &
                                start = (/ dosp_time_count /), count = (/ 1 /) )
-       CALL handle_netcdf_error( 'data_output_spectra', 47 )
-#endif
+       CALL netcdf_handle_error( 'data_output_spectra', 47 )
 
 !
@@ -201,4 +203,5 @@
 
 #endif
+#endif
  END SUBROUTINE data_output_spectra
 
@@ -226,5 +229,9 @@
     USE kinds
 
-    USE netcdf_control
+    USE NETCDF
+
+    USE netcdf_interface,                                                      &
+        ONLY:  id_set_sp, id_var_dospx, id_var_dospy, nc_stat,                 &
+               netcdf_handle_error
 
     USE spectrum,                                                              &
@@ -261,5 +268,5 @@
                                   start = (/ 1, k, dosp_time_count /), &
                                   count = (/ nx/2, 1, 1 /) )
-          CALL handle_netcdf_error( 'data_output_spectra', 348 )
+          CALL netcdf_handle_error( 'data_output_spectra', 348 )
 
        ENDDO
@@ -279,5 +286,5 @@
                                   start = (/ 1, k, dosp_time_count /), &
                                   count = (/ ny/2, 1, 1 /) )
-          CALL handle_netcdf_error( 'data_output_spectra', 349 )
+          CALL netcdf_handle_error( 'data_output_spectra', 349 )
 
        ENDDO
Index: palm/trunk/SOURCE/data_output_tseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_tseries.f90	(revision 1782)
+++ palm/trunk/SOURCE/data_output_tseries.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! name change of netcdf routines and module + related changes
 ! 
 ! Former revisions:
@@ -72,5 +72,10 @@
     USE kinds
 
-    USE netcdf_control
+#if defined( __netcdf )
+    USE NETCDF
+#endif
+    USE netcdf_interface,                                                      &
+        ONLY:  dots_num, id_set_ts, id_var_dots, id_var_time_ts, nc_stat,      &
+               netcdf_handle_error
 
     USE pegrid
@@ -115,5 +120,5 @@
                                start = (/ dots_time_count /),    &
                                count = (/ 1 /) )
-       CALL handle_netcdf_error( 'data_output_tseries', 350 )
+       CALL netcdf_handle_error( 'data_output_tseries', 350 )
 #endif
 
@@ -129,5 +134,5 @@
                                      start = (/ dots_time_count /), &
                                      count = (/ 1 /) )
-             CALL handle_netcdf_error( 'data_output_tseries', 351 )
+             CALL netcdf_handle_error( 'data_output_tseries', 351 )
           ENDDO
 #endif
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 1782)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! +module netcdf_interface
 !
 ! Former revisions:
@@ -207,12 +207,15 @@
     
     USE land_surface_model_mod,                                                &
-        ONLY:   dots_soil, ghf_eb, land_surface, m_soil, nzb_soil, nzt_soil,   &
+        ONLY:   ghf_eb, land_surface, m_soil, nzb_soil, nzt_soil,              &
                 qsws_eb, qsws_liq_eb, qsws_soil_eb, qsws_veg_eb, r_a, r_s,     &
                 shf_eb, t_soil
 
+    USE netcdf_interface,                                                      &
+        ONLY:  dots_rad, dots_soil
+
     USE pegrid
 
     USE radiation_model_mod,                                                   &
-        ONLY:  dots_rad, radiation, radiation_scheme, rad_net,                 &
+        ONLY:  radiation, radiation_scheme, rad_net,                           &
                rad_lw_in, rad_lw_out, rad_lw_cs_hr, rad_lw_hr,                 &
                rad_sw_in, rad_sw_out, rad_sw_cs_hr, rad_sw_hr
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1782)
+++ palm/trunk/SOURCE/header.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! netcdf module and variable names changed, output of netcdf_deflate
 !
 ! Former revisions:
@@ -249,4 +249,7 @@
         ONLY:  damp_level_ind_1d, dt_pr_1d, dt_run_control_1d, end_time_1d
         
+    USE netcdf_interface,                                                      &
+        ONLY:  netcdf_data_format, netcdf_data_format_string, netcdf_deflate
+
     USE particle_attributes,                                                   &
         ONLY:  bc_par_b, bc_par_lr, bc_par_ns, bc_par_t, collision_kernel,     &
@@ -1315,6 +1318,10 @@
 
        output_format = ''
-       output_format = output_format_netcdf
-       WRITE ( io, 344 )  output_format
+       output_format = netcdf_data_format_string
+       IF ( netcdf_deflate == 0 )  THEN
+          WRITE ( io, 344 )  output_format
+       ELSE
+          WRITE ( io, 354 )  TRIM( output_format ), netcdf_deflate
+       ENDIF
 
        DO  i = 1, dopr_n
@@ -1379,6 +1386,10 @@
 
           output_format = ''
-          output_format = output_format_netcdf
-          WRITE ( io, 344 )  output_format
+          output_format = netcdf_data_format_string
+          IF ( netcdf_deflate == 0 )  THEN
+             WRITE ( io, 344 )  output_format
+          ELSE
+             WRITE ( io, 354 )  TRIM( output_format ), netcdf_deflate
+          ENDIF
 
           IF ( do2d_xy /= ''  .AND.  section(1,1) /= -9999 )  THEN
@@ -1536,6 +1547,10 @@
           ENDIF
 
-          output_format = output_format_netcdf
-          WRITE ( io, 344 )  output_format
+          output_format = netcdf_data_format_string
+          IF ( netcdf_deflate == 0 )  THEN
+             WRITE ( io, 344 )  output_format
+          ELSE
+             WRITE ( io, 354 )  TRIM( output_format ), netcdf_deflate
+          ENDIF
 
           IF ( do3d_at_begin )  THEN
@@ -1595,10 +1610,14 @@
              ENDIF
 
-             output_format = output_format_netcdf
+             output_format = netcdf_data_format_string
 !--          Parallel output not implemented for mask data, hence
 !--          output_format must be adjusted.
              IF ( netcdf_data_format == 5 ) output_format = 'netCDF4/HDF5'
              IF ( netcdf_data_format == 6 ) output_format = 'netCDF4/HDF5 classic'
-             WRITE ( io, 344 )  output_format
+             IF ( netcdf_deflate == 0 )  THEN
+                WRITE ( io, 344 )  output_format
+             ELSE
+                WRITE ( io, 354 )  TRIM( output_format ), netcdf_deflate
+             ENDIF
 
              IF ( av == 0 )  THEN
@@ -1650,6 +1669,10 @@
        WRITE ( io, 340 )
 
-       output_format = output_format_netcdf
-       WRITE ( io, 344 )  output_format
+       output_format = netcdf_data_format_string
+       IF ( netcdf_deflate == 0 )  THEN
+          WRITE ( io, 344 )  output_format
+       ELSE
+          WRITE ( io, 354 )  TRIM( output_format ), netcdf_deflate
+       ENDIF
        WRITE ( io, 341 )  dt_dots
     ENDIF
@@ -1713,6 +1736,10 @@
        WRITE ( io, 370 )
 
-       output_format = output_format_netcdf
-       WRITE ( io, 344 )  output_format
+       output_format = netcdf_data_format_string
+       IF ( netcdf_deflate == 0 )  THEN
+          WRITE ( io, 344 )  output_format
+       ELSE
+          WRITE ( io, 354 )  TRIM( output_format ), netcdf_deflate
+       ENDIF
        WRITE ( io, 371 )  dt_dosp
        IF ( skip_time_dosp /= 0.0_wp )  WRITE ( io, 339 )  skip_time_dosp
@@ -1864,5 +1891,9 @@
              output_format = 'netcdf and binary'
           ENDIF
-          WRITE ( io, 344 )  output_format
+          IF ( netcdf_deflate == 0 )  THEN
+             WRITE ( io, 344 )  output_format
+          ELSE
+             WRITE ( io, 354 )  TRIM( output_format ), netcdf_deflate
+          ENDIF
        ENDIF
        IF ( dt_dopts /= 9999999.9_wp )  WRITE ( io, 494 )  dt_dopts
@@ -2176,4 +2207,5 @@
 352 FORMAT  (/'       Number of output time levels allowed: ',I3 /)
 353 FORMAT  (/'       Number of output time levels allowed: unlimited' /)
+354 FORMAT ('       Output format: ',A, '   compressed with level: ',I1/)
 #if defined( __dvrp_graphics )
 360 FORMAT ('    Plot-Sequence with dvrp-software:'/ &
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1782)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-!
+! netcdf module name changed + related changes
 !
 ! Former revisions:
@@ -262,5 +262,6 @@
         ONLY:  e1d, kh1d, km1d, l1d, rif1d, u1d, us1d, usws1d, v1d, vsws1d 
     
-    USE netcdf_control
+    USE netcdf_interface,                                                      &
+        ONLY:  dots_max, dots_num
     
     USE particle_attributes,                                                   &
Index: palm/trunk/SOURCE/init_masks.f90
===================================================================
--- palm/trunk/SOURCE/init_masks.f90	(revision 1782)
+++ palm/trunk/SOURCE/init_masks.f90	(revision 1783)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! netcdf module name changed + related changes
 ! 
 ! Former revisions:
@@ -96,5 +96,5 @@
                mask_x_loop, mask_xyz_dimension, mask_y, mask_y_loop, mask_z,   &
                mask_z_loop, max_masks,  message_string, mid,                   &
-               netcdf_data_format, passive_scalar, precipitation, ocean
+               passive_scalar, precipitation, ocean
 
     USE grid_variables,                                                        &
@@ -106,5 +106,6 @@
     USE kinds
 
-    USE netcdf_control
+    USE netcdf_interface,                                                      &
+        ONLY:  domask_unit, netcdf_data_format
 
     USE particle_attributes,                                                   &
